package com.ztmap.project.zhny.energystorageoverview.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 储能总览对象 t_energy_storage_overview
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public class TEnergyStorageOverview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 数据日期 */
    @Excel(name = "数据日期")
    private String dataTime;

    /** 总充电量 */
    @Excel(name = "总充电量")
    private Double zcdl;

    /** 总放电量 */
    @Excel(name = "总放电量")
    private Double zfdl;

    /** 累计充电次数 */
    @Excel(name = "累计充电次数")
    private Double ljcdcs;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }
    public void setZcdl(Double zcdl)
    {
        this.zcdl = zcdl;
    }

    public Double getZcdl()
    {
        return zcdl;
    }
    public void setZfdl(Double zfdl)
    {
        this.zfdl = zfdl;
    }

    public Double getZfdl()
    {
        return zfdl;
    }
    public void setLjcdcs(Double ljcdcs)
    {
        this.ljcdcs = ljcdcs;
    }

    public Double getLjcdcs()
    {
        return ljcdcs;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataTime", getDataTime())
            .append("zcdl", getZcdl())
            .append("zfdl", getZfdl())
            .append("ljcdcs", getLjcdcs())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
